#!/bin/sh

set -e

cd test

# update SoftHSM access rights
sudo chmod o+rx /etc/softhsm
sudo chmod o+r /etc/softhsm/softhsm2.conf
sudo chmod o+rxw /var/lib/softhsm
sudo chmod o+rxw /var/lib/softhsm/tokens

# setup SoftHSM token
softhsm2-util --init-token --label "A token" --pin 1234 --so-pin 123456 --slot 0

export PYKCS11LIB=/usr/lib/softhsm/libsofthsm2.so
python3 -m unittest discover -v
